[cmake-developers] [CMake 0012599]: UseQt4.cmake fails at including module dependencies

Mantis Bug Tracker mantis at public.kitware.com
Tue Nov 29 10:49:29 EST 2011


The following issue has been SUBMITTED. 
====================================================================== 
http://www.cmake.org/Bug/view.php?id=12599 
====================================================================== 
Reported By:                Marcus T
Assigned To:                
====================================================================== 
Project:                    CMake
Issue ID:                   12599
Category:                   Modules
Reproducibility:            always
Severity:                   block
Priority:                   urgent
Status:                     new
====================================================================== 
Date Submitted:             2011-11-29 10:49 EST
Last Modified:              2011-11-29 10:49 EST
====================================================================== 
Summary:                    UseQt4.cmake fails at including module dependencies
Description: 
UseQt4.cmake fails at including proper dependencies. When Having
QT_USE_QTDECLARATIVE enabled, based on the QT_QTDECLARATIVE_MODULE_DEPENDS it
should include QT_QTOPENGL as well.

But since the FOREACH ( UseQt4.cmake Line 81 ) loops over QTOPENGL before
QTDECLARATIVE, the first project does not link to QtOpengl.

( This bug just cost me a day of work )

Steps to Reproduce: 
In you CMakeLists.txt use:

find_package(Qt4 4.7.2 REQUIRED QtDeclarative)
message(STATUS "Libs: " ${QT_LIBRARIES}) # Will not print "libQtOpengl..."
add_subdirectory(./test)

In ./test/CMakeLists.txt do:

find_package(Qt4 4.7.2 REQUIRED QtDeclarative)
message(STATUS "Libs: " ${QT_LIBRARIES}) # WILL print "libQtOpengl..."




Additional Information: 
In my opinion the whole dependency mechanism should be removed completely (
thats what I did for myself now ).

Its a) Error prone b) Incorrect ( declarative does not need OpenGL ) c)
unncessary. Finding out which QtLibs you need is so easy.
====================================================================== 

Issue History 
Date Modified    Username       Field                    Change               
====================================================================== 
2011-11-29 10:49 Marcus T       New Issue                                    
======================================================================



More information about the cmake-developers mailing list